cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 30065] New: - getInstance ont work upgrade from db-ojb-1.0rc6
Date Tue, 13 Jul 2004 08:02:02 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=30065>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=30065

getInstance ont work upgrade from db-ojb-1.0rc6

           Summary: getInstance ont work upgrade from db-ojb-1.0rc6
           Product: Cocoon 2
           Version: Current CVS 2.2
          Platform: PC
        OS/Version: Linux
            Status: NEW
          Severity: Major
          Priority: Other
         Component: general components
        AssignedTo: dev@cocoon.apache.org
        ReportedBy: johnson@soho.club.tw


Hi!

I use odmg to connect postgres since cocoon 2.1.5 db-ojb is 1.0rc6
I upgrade to cocoon 2.2 dev db-ojb is 1.0.0
but the code is fail  for getInstance();
the code is
var odmgImpl =
cocoon.getComponent(Packages.org.apache.cocoon.ojb.odmg.components.OdmgImple
metation.ROLE);
var impl = odmgImpl.getInstance("sy");
If I change the db-ojb back to 1.0rc6 it's ok
But in 1.0.0 java.lang.NullPointerException occurs

How to correct it.

Best regards

Johnson

Ps. If I use rc7, the same problem appeared

Mime
View raw message